Package org.apache.sysds.runtime.ooc.stream.message

# Interface OOCStreamMessage

All Known Implementing Classes:
  `OOCGetStreamTypeMessage`

public interface OOCStreamMessage

## Method Summary

Modifier and Type
Method
Description
`void`
`addIXTransform(BiFunction<Boolean,IndexRange,IndexRange> transform)`
`default void`
`cancel()`
`default boolean`
`isCancelled()`
`default OOCStreamMessage`
`split()`

## Method Details

### isCancelled

default boolean isCancelled()

### cancel

default void cancel()

### split

default OOCStreamMessage split()

### addIXTransform

void addIXTransform(BiFunction<Boolean,IndexRange,IndexRange> transform)